package com.example.controller;

import com.example.common.Result;
import com.example.entity.Audits;
import com.example.service.AuditsService;
import com.github.pagehelper.PageInfo;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

/**
 * 申请审核表前端操作接口
 **/
@RestController
@RequestMapping("/audits")
public class AuditsController {

    @Resource
    private AuditsService auditsService;

    /**
     * 新增
     */
    @PostMapping("/add")
    public Result add(@RequestBody Audits audits) {
        auditsService.add(audits);
        return Result.success();
    }

    /**
     * 删除
     */
    @DeleteMapping("/delete/{id}")
    public Result deleteById(@PathVariable Integer id) {
        auditsService.deleteById(id);
        return Result.success();
    }

    /**
     * 批量删除
     */
    @DeleteMapping("/delete/batch")
    public Result deleteBatch(@RequestBody List<Integer> ids) {
        auditsService.deleteBatch(ids);
        return Result.success();
    }

    /**
     * 修改
     */
    @PutMapping("/update")
    public Result updateById(@RequestBody Audits audits) {
        auditsService.updateById(audits);
        return Result.success();
    }

    /**
     * 根据ID查询
     */
    @GetMapping("/selectById/{id}")
    public Result selectById(@PathVariable Integer id) {
        Audits audits = auditsService.selectById(id);
        return Result.success(audits);
    }

    /**
     * 查询所有
     */
    @GetMapping("/selectAll")
    public Result selectAll(Audits audits) {
        List<Audits> list = auditsService.selectAll(audits);
        return Result.success(list);
    }

    /**
     * 分页查询
     */
    @GetMapping("/selectPage")
    public Result selectPage(Audits audits,
                             @RequestParam(defaultValue = "1") Integer pageNum,
                             @RequestParam(defaultValue = "10") Integer pageSize) {
        PageInfo<Audits> page = auditsService.selectPage(audits, pageNum, pageSize);
        return Result.success(page);
    }

}